package cn.axzo.workflow.core.service;

import cn.axzo.workflow.core.repository.entity.ExtAxHiTaskInst;
import cn.axzo.workflow.core.repository.entity.ExtAxProcessLog;
import org.flowable.engine.task.Attachment;
import org.flowable.engine.task.Comment;
import org.flowable.task.api.history.HistoricTaskInstance;

import java.util.List;

/**
 * 专用与对接 ES 的流程任务相关操作
 *
 * @author wangli
 * @since 2024-09-29 10:55
 */
public interface BpmnProcessTaskForEsService {

    List<HistoricTaskInstance> queryHistoricProcessTaskByProcessInstanceId(String processInstanceId);

    List<ExtAxHiTaskInst> queryExtAxHiTaskInstByProcessInstanceId(String processInstanceId);

    List<Comment> queryCommentByProcessInstanceId(String processInstanceId);

    List<Attachment> queryAttachmentByProcessInstanceId(String processInstanceId);

    List<ExtAxProcessLog> queryProcessLogByProcessInstanceId(String processInstanceId);
}
